Skip to main content
Version: 1.2.0

Token factory REST API

Endpoints the node exposes under /centerchain/tokenfactory/*.

Endpoints​

GET /centerchain/tokenfactory/v1beta1/denoms/{denom}/authority_metadata​

DenomAuthorityMetadata defines a gRPC query method for fetching DenomAuthorityMetadata for a particular denom.

NameInTypeRequiredDescription
denompathstringyes

Response 200: centerchain.tokenfactory.v1.QueryDenomAuthorityMetadataResponse

GET /centerchain/tokenfactory/v1beta1/denoms/{denom}/blacklist​

NameInTypeRequiredDescription
denompathstringyes
pagination.keyquerystring (byte)nokey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
pagination.offsetquerystring (uint64)nooffset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
pagination.limitquerystring (uint64)nolimit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
pagination.count_totalquerybooleannocount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
pagination.reversequerybooleannoreverse is set to true if results are to be returned in the descending order.

Response 200: centerchain.tokenfactory.v1.QueryDenomBlacklistResponse

GET /centerchain/tokenfactory/v1beta1/denoms_from_admin/{admin}​

DenomsFromAdmin defines a gRPC query method for fetching all denominations owned by a specific admin.

NameInTypeRequiredDescription
adminpathstringyes

Response 200: centerchain.tokenfactory.v1.QueryDenomsFromAdminResponse

GET /centerchain/tokenfactory/v1beta1/denoms_from_creator/{creator}​

DenomsFromCreator defines a gRPC query method for fetching all denominations created by a specific admin/creator.

NameInTypeRequiredDescription
creatorpathstringyes

Response 200: centerchain.tokenfactory.v1.QueryDenomsFromCreatorResponse

GET /centerchain/tokenfactory/v1beta1/params​

Params defines a gRPC query method that returns the tokenfactory module's parameters.

Response 200: centerchain.tokenfactory.v1.QueryParamsResponse

GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/authorizations​

Authorizations lists the swap authorizations of a holder.

NameInTypeRequiredDescription
holderpathstringyes
pagination.keyquerystring (byte)nokey is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
pagination.offsetquerystring (uint64)nooffset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
pagination.limitquerystring (uint64)nolimit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
pagination.count_totalquerybooleannocount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
pagination.reversequerybooleannoreverse is set to true if results are to be returned in the descending order.

Response 200: centerchain.tokenfactory.v1.QueryAuthorizationsResponse

GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/authorizations/{order_seq}​

Authorization returns a single swap authorization by holder and sequence.

NameInTypeRequiredDescription
holderpathstringyes
order_seqpathstring (uint64)yes

Response 200: centerchain.tokenfactory.v1.QueryAuthorizationResponse

GET /centerchain/tokenfactory/v1beta1/swaps/{holder}/high_water_mark​

HighWaterMark returns the holder's monotonic order sequence high-water mark.

NameInTypeRequiredDescription
holderpathstringyes

Response 200: centerchain.tokenfactory.v1.QueryHighWaterMarkResponse